Bug 173974 - /bin/vi help no longer works properly
/bin/vi help no longer works properly
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: vim (Show other bugs)
7
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Karsten Hopp
David Lawrence
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-11-23 05:59 EST by JW
Modified: 2008-03-03 13:37 EST (History)
1 user (show)

See Also:
Fixed In Version: vim-7.1.266-1.fc9
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-03-03 13:37:24 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description JW 2005-11-23 05:59:53 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (compatible; MSIE 6.0; Windows; U; AIIEEEE!; Win98; Windows 98; en-US; Gecko masquerading as IE; should it matter?; rv:1.8b) Gecko/20050217

Description of problem:
Because vim help files are compressed, and because minimal vim cannot understand advance settings in /etc/vimrc which might otherwise help (eg autocmd), when viewing help with /bin/vi all you get is compressed garbage on the screen.


Version-Release number of selected component (if applicable):
vim-minimal-6.3.086-0.fc4

How reproducible:
Always

Steps to Reproduce:
1./bin/vi
2.:help index
3.
  

Actual Results:  1. normal vi startup
2. indigestible garbage on screen


Expected Results:  Should see a help screen


Additional info:

To manually fix:

cd /usr/share/vim/vim63/doc
gunzip *.txt.gz
vim
    :helptags /usr/share/vim/vim63/doc
    :q
Comment 1 Robin Green 2006-01-29 16:50:56 EST
Workaround: Use vim instead.

You need to install vim-enhanced or something anyway to be able to see help,
because vim-minimal doesn't come with any help (or if it does, it doesn't know
where to find it).
Comment 2 JW 2006-01-29 17:29:36 EST
Thanks Robin, but didn't you read the manual fix I supplied?
That actually fixes it so there is no need for your workaround (of using vim
instead).

Also, vim-enhanced is already installed - that is where the help files come from
of course. Otherwise I wouldn't have been able to "gunzip *.tzt.gz" as described
above.

Anyhow, with the vim help files amount to a whopping 4.5MB uncompressed there
isn't much point compressing them in the first place.
Comment 3 Karsten Hopp 2006-01-30 09:58:11 EST
The text in the help files doesn't apply to vim-minimal in most cases, it
describes features of vim-enhanced. 
Comment 4 JW 2006-01-30 17:29:50 EST
(In reply to comment #3)
> The text in the help files doesn't apply to vim-minimal in most cases, it
> describes features of vim-enhanced. 

Obviously - otherwise vim-minimal wouldn't have minimal in its name!

It would be reasonable to assume that since vim-minimal is a subset of vim then
the corresponding help content applicable to vim-minimal would also be a subset
of the total help content.

Please, god, help me get out of this dark world of help-desk absurdity!
Comment 5 JW 2006-01-31 16:12:41 EST
It goes without saying, of course, that if vim-minimal wasn't supposed to have
working help then that feature would have been removed from vim-minimal along
with all the other features that have been removed.

But yes, vim-minimal does have a help command, so one can reasonable assume that
the help is supposed to work properly.

And the help command clearly does not work properly when the help files are
compressed.

I have already supplied a clear fix for the bug (but the better fix would
probably be in vim.spec).  But it has fallen on deaf ears.  All I get is a lame
attempt to close this bug report on the basis that some of the help content
doesn't apply to vim-minimal. Shame. Pathetic. Disappointing.

It is weird, isn't it? This is exactly the attitude which made me ditch SCO Unix
many years ago.
Comment 6 Christian Iseli 2007-01-22 06:58:08 EST
This report targets the FC3 or FC4 products, which have now been EOL'd.

Could you please check that it still applies to a current Fedora release, and
either update the target product or close it ?

Thanks.
Comment 7 JW 2007-01-22 07:38:08 EST
still applies
Comment 8 Matthew Miller 2007-04-10 15:44:26 EDT
Fedora Core 4 is now completely unmaintained. These bugs can't be fixed in that
version. If the issue still persists in current Fedora Core, please reopen.
Thank you, and sorry about this.
Comment 9 JW 2007-04-10 20:20:10 EDT
Applicable to Fedora Core 6. Sorry about that.
Comment 10 Till Maas 2008-01-05 08:41:08 EST
This bug is still there on Fedora 7.

Note You need to log in before you can comment on or make changes to this bug.